stCheckFields {SpatioTemporal} | R Documentation

## Test if fields exist in an object.

### Description

Test if named fields exist in `name(x)`, if not the function fails with a suitable error message.

### Usage

    stCheckFields(x, what, name = "Object")

### Arguments

`x` | Object to test.
`what` | A character vector naming that should occur in `names(x)`.
`name` | Character string to be pasted into the error message describing `x`.

### Value

Nothing

### Author(s)

Johan Lindstrom

### See Also

Other object checking utilities: `stCheckClass`, `stCheckCovars`, `stCheckObs`, `stCheckSTcovars`

### Examples

      ##load data
      data(mesa.model)
      ##names present in dta
      names(mesa.model$locations)

      ##check for some names
      stCheckFields(mesa.model$locations, c("ID","x","lat"))
      ##check for non-existant names
      try( stCheckFields(mesa.model$locations, c("ID","x","test")) )

[Package SpatioTemporal version 1.1.9.1 Index]